<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:b="http://bootsfaces.net/ui"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">

<ui:composition template="_templateLogin.xhtml">

	<ui:define name="conteudo">


		<p:growl id="messages" sticky="false" showDetail="false" life="3000" />
		
		<h:form>

			<p:messages id="msgs" />

			<b:container fluid="true" style="width:70%">

				<b:panel title="Login" look="primary" id="panel">

					<b:row>
						<b:column>
							<b:inputText id="email" value="#{loginBean.usuario.email}"
								required="true">
								<f:passThroughAttribute name="placeholder" value="Email" />
								<f:passThroughAttribute name="type" value="email" />
							</b:inputText>
							<h:message for="email" id="messageEmail" display="icon" />
						</b:column>
					</b:row>
					<b:row>
						<b:column>
							<b:inputText id="senha" value="#{loginBean.usuario.senha}"
								required="true">
								<f:passThroughAttribute name="placeholder" value="Senha" />
								<f:passThroughAttribute name="type" value="password" />
							</b:inputText>
							<h:message for="senha" id="messageSenha" display="icon" />
						</b:column>

					</b:row>

					<b:row>
						<b:column span="6" >
							<b:commandButton id="loginBt" value="Login"
								action="#{loginBean.efetuaLogin}" update="messages"
								look="primary" style="width:100%"/>
						</b:column>
						
						<b:column span="6">
							<b:commandButton value="password forgotten" look="danger"
								style="width:100%" />
						</b:column>
						
					</b:row>
				</b:panel>

			</b:container>
			<p:blockUI block="panel" trigger="loginBt">
				CARREGANDO...<br />
				<p:graphicImage library="img" name="ajaxloadingbar.gif" />
			</p:blockUI>

		</h:form>

	</ui:define>

</ui:composition>

</html>